#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    int Niz[n];

    cin >> n;
    for(int i = 0; i < n; ++i)
    {
        cin >> Niz[i];
    }

    bool Resenje = false;
    int k = 0;
    for(int i = 0; i < n; ++i)
    {
        k = i;
        for(int j = i+1; j < n; ++j)
        {
            if(Niz[j] > Niz[k])
            {
                k = j;
            }
        }


        if(k != i)
        {
            Niz[i] = Niz[i] + Niz[k];
            Niz[k] = Niz[i] - Niz[k];
            Niz[i] = Niz[i] - Niz[k];
            Resenje = true;
            break;
        }
    }

    if (!Resenje && n > 1)
    {
        Niz[n-1] = Niz[n-1] + Niz[n-2];
        Niz[n-2] = Niz[n-1] - Niz[n-2];
        Niz[n-1] = Niz[n-1] - Niz[n-2];
    }

    for(int i = 0; i < n; ++i)
    {
        cout << Niz[i] << " ";
    }
    return 0;
}